Gå til hovedinnhold

Get listings rent homes information

GET 

/listings/rent/homes

Read Listings Rent Homes Endpoint

Overview

The API endpoint retrieves listings rent homes data based on filters such as property ID NMA, Finn code, batch ID, or a specified date range. The API supports retrieval of single, multiple, or batch property listings.

Example Request

  • Listings from a specific date:
curl -X 'GET' \
'https://apis.propcloud.no/api/public/listings/rent/homes?start-date=2025-01-01&batch-id=0' \
-H 'accept: application/json' \
-H 'api-key: YOUR_API_KEY'

Response Description

KeyDescriptionBeskrivelseSource
totalPagesThe total number of pages of response for this specific query.Totalt antall sider med respons for denne spesifikke forespørselen.PropCloud
batchIdUnique identifier for the batchUnik identifikator for batchenPropCloud
finnCodeThis code is used to identify ads in FINNKode brukt for a identifisere annonsenFinn.no
adtypeThe type of listing (e.g., sale, rental).Type oppforing (f.eks. salg, utleie).Finn.no
propertyIdUnique identifier for the property.Unik identifikator for eiendommen.
Feltet heter MatrikkelenhetId i Matrikkelen
Kartverket
propertyIdNmaUnique identifier for the property, generated based on city number, ground number, and other details.Unik identifikator for eiendommen generert basert pa kommunenummer, gardsnummer og andre detaljer.PropCloud
addressIdUnique identifier for the address of the unit.Unik identifikator for adressen til enheten.Kartverket
unitIdUnique identifier for the unit within the propertyUnik identifikator for bruksenheten. Feltet heter BruksenhetId i MatrikkelenKartverket
linkThe URL to view more details about the property listing.Nettadressen til annonsen.Finn.no, Hjem.no
headingTitle or headline of the property listing.Overskrift pa annonsen.Finn.no
listingDateThe date when the property was listed or last updated.Datoen da eiendommen ble lagt ut eller sist oppdatert.Finn.no
listingCategoryCategory of the listing, such as new builds, used homes, or commercial properties.Kategori for oppforingen, for eksempel nybygg, bruktbolig eller naeringseiendomFinn.no
addressThe physical address of the property.Eiendommens fysiske adresse.Finn.no, Hjem.no
cityNumberUnique identifier for the city.Kommunenummer, unik identifikator for kommunenKartverket
countyNameName of the countyNavn pa fylket
Feltet heter fylkesnavn i Matrikkelen
Kartverket
countyNumberUnique identifier for the county.Fylkesnummer, unik identifikator for fylketKartverket
postalAreaThe name of the postal area.Navn pa postomradetKartverket
postalRegioncity number and postal code separated by "-"Kommunenummer og postnummer separert med "-"Kartverket
postalCodeThe postal code where the unit is located.Postnummeret der bruksenheten liggerKartverket
latLatitude coordinate of the unit.Breddegrad koordinat for enheten.Kartverket
lonLongitude coordinate of the unit.Lengdegrad koordinat for enheten.Kartverket
gnrThe farm number (Gardsnummer).Gardsnummer (gnr), identifikator for eiendommer i en kommune.Kartverket
unrUsage number (Bruksnummer).BruksnummerKartverket
snrThe section number (Seksjonsnummer).Seksjonsnummer, brukes for seksjonerte eiendommer.Kartverket
lnrLease number (Festenummer).FestenummerKartverket
apartmentNumberThe specific unit number, i.e. H0101.Bruksenhetsnummeret, i.e. H0101.PropCloud, Kartverket
propertyTypeThe type of property, such as residential, commercial, or industrial.Eiendomstype, som bolig, naeringseiendom eller industri.Finn.no, Hjem.no
ownershipFormSpecifies the form of ownership, such as freehold, co-op, or share.Angir eierskapsformen, som f.eks. selveier, borettslag eller aksjePropCloud, Kartverket
builtYearThe year the property was built inaret eiendommen ble byggetKartverket, Finn.no, Hjem.no
renovatedYearThe most recent year of major renovation.aret for siste store renoveringFinn.no, Hjem.no
floorsThe number of floors in the building.Antall etasjer i bygningen.Kartverket
floorThe floor on which the unit is located.Hvilken etasje bruksenheten ligger i.Finn.no, Hjem.no
roomsThe number of rooms in the unit.Antall rom i enheten.Finn.no, Hjem.no
bedroomsHow many bedrooms the property has.Hvor mange soverom eiendommen har.Kartverket, Finn.no, Hjem.no
animalsAllowedIndicates if animals are allowed on the property.Angir om dyr er tillatt pa eiendommen.
energyLabelThe energy efficiency label of the property.Energimerking av eiendommen.
baseAreaThe base area of the property.Grunnarealet til eiendommen.
btaGross area of the property.Bruttoareal av eiendommen.
braUsable area of the property.Bruksareal av eiendommen.
promPrimary area of the property.Primaerareal av eiendommen.
braIUsable area inside the property.Bruksareal inne i eiendommen.
braEUsable area outside the property.Bruksareal utenfor eiendommen.
braBUsable area in the basement.Bruksareal i kjelleren.
tbaAreaTotal built area of the property.Totalt bebygd areal av eiendommen.
landAreaThe land area of the property.Tomtearealet til eiendommen.
leaseFeeThe fee for leasing the property.Avgiften for a leie eiendommen.
rentalPeriodThe rental period for the property.Leieperioden for eiendommen.
depositThe deposit required for renting the property.Depositumet som kreves for a leie eiendommen.
monthlyRentThe monthly rent for the property.Manedlig leie for eiendommen.
brokerNameThe name of the broker handling the property.Navnet pa megleren som handterer eiendommen.

Request

Responses

Successful Response